Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.page
Class PageIteratorWrapper

    java.lang.Object
      com.sun.mdm.index.page.PageIteratorWrapper

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AssumedMatchIterator, AuditIterator, EOSearchResultIterator, PotentialDuplicateIterator, TransactionIterator

public abstract class PageIteratorWrapper
extends java.lang.Object
implements java.io.Serializable

Base wrapper for PageIterator

See Also:
  Serialized Form

Constructor Summary
`PageIteratorWrapper(java.util.ArrayList fullData)` Creates a new instance of PageIteratorWrapper that does not maintain connection to server.
`PageIteratorWrapper(java.lang.Object[] fullData)` Creates a new instance of PageIteratorWrapper that does not maintain connection to server.
`PageIteratorWrapper(PageData pageData, int pageSize, int maxElements)` Creates a new instance of PageIteratorWrapper that maintains connection to server.

Method Summary
`void` | `close()` See PageIterator
`int` | `count()` See PageIterator
`int` | `currentPosition()` See PageIterator
`protected PageIterator` | `getGenericIterator()` Get the underlying generic page iterator
`boolean` | `hasNext()` See PageIterator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageIteratorWrapper

    public PageIteratorWrapper(java.util.ArrayList fullData)

  Creates a new instance of PageIteratorWrapper that does not maintain connection to server.

  Parameters:
    `fullData` - Full data source as array

### PageIteratorWrapper

    public PageIteratorWrapper(java.lang.Object[] fullData)

  Creates a new instance of PageIteratorWrapper that does not maintain connection to server.

  Parameters:
    `fullData` - Full data provided in array

### PageIteratorWrapper

    public PageIteratorWrapper(PageData pageData,
                               int pageSize,
                               int maxElements)

  Creates a new instance of PageIteratorWrapper that maintains connection to server.

  Parameters:
    `pageData` - Handle to server side data
    `pageSize` - Size of page
    `maxElements` - Max elements to retrieve from server

Method Detail

### close

    public void close()
               throws java.rmi.RemoteException

  See PageIterator

  Throws:
    `java.rmi.RemoteException` - See PageIterator
  See Also:
    `PageIterator.close()`

### count

    public int count()
              throws PageException,
                     java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `java.rmi.RemoteException` - See PageIterator
    `PageException` - See PageIterator
  See Also:
    `PageIterator.count()`

### currentPosition

    public int currentPosition()

  See PageIterator

  Returns:
    See PageIterator

### getGenericIterator

    protected PageIterator getGenericIterator()

  Get the underlying generic page iterator

  Returns:
    Iterator

### hasNext

    public boolean hasNext()
                    throws PageException,
                           java.rmi.RemoteException

  See PageIterator

  Returns:
    See PageIterator
  Throws:
    `PageException` - See PageIterator
    `java.rmi.RemoteException` - See PageIterator

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.